require 'extensions.rb'
require 'LangHandler.rb'

# Extension Manager
$uStrings = LanguageHandler.new("tools")
tools_Extension = SketchupExtension.new $uStrings.GetString("tools"), "tools.rb"
tools_Extension.description=$uStrings.GetString("Verschiedenes .")
tools_Extension.name= "tools"
tools_Extension.creator = "Didier Bur"
tools_Extension.copyright = "12.2005, CRAI - Didier Bur"
tools_Extension.version = "1.0"

Sketchup.register_extension tools_Extension, true

# Run
def exec_on_autoload
  puts("tools loaded.")
end



#-----------------------------------------------------------------------------------------------------
#                                        MENU ITEMS
#-----------------------------------------------------------------------------------------------------

if( not $tools_menu_loaded )

  #tools toolbar
  #-----------------------------------------------------------------------------------------
  gp_tools_tb = UI::Toolbar.new("Zusatzfunktionen")


#Skripte laden
  cmd1 = UI::Command.new("Skripte laden") { value = UI.openpanel "Load Ruby script" 
	puts value.to_s
	if value
	load value.to_s
	else
	UI.messagebox "No file selected."
	end }
  cmd1.small_icon = "tools/sc_klein.png"
  cmd1.large_icon = "tools/sc_gro.png"
  cmd1.tooltip = "Skript laden"
  gp_tools_tb.add_item(cmd1)                  

 #Shortcuts
  cmd2 = UI::Command.new("Tastenkombi aufzeigen") { Sketchup.send_action 21477 }
  cmd2.small_icon = "tools/scc_klein.png"
  cmd2.large_icon = "tools/scc_gro.png"
  cmd2.tooltip = "Tastenkombinationen anzeigen"
  gp_tools_tb.add_item(cmd2)
  #Nummerieren
  cmd3 = UI::Command.new("Nummerieren") { Sketchup.active_model.select_tool Numb.new}
  cmd3.small_icon = "tools/num_klein.png"
  cmd3.large_icon = "tools/num_gro.png"
  cmd3.tooltip = "durchlaufend Nummerieren mit Mausklick"
  gp_tools_tb.add_item(cmd3) 
  #Bewegentool
  cmd4 = UI::Command.new("Bewegen") { JF::Mover.create}
  cmd4.small_icon = "tools/mo_klein.png"
  cmd4.large_icon = "tools/mo_gro.png"
  cmd4.tooltip = "Komponenten bewegen, drehen..."
  gp_tools_tb.add_item(cmd4)
#Rechner
  cmd5 = UI::Command.new(("Rechner")) { UI.openURL("calc.exe") }
  cmd5.small_icon = "tools/re_klein.png"
  cmd5.large_icon = "tools/re_gro.png"
  cmd5.tooltip = "Rechner anzeigen"
  gp_tools_tb.add_item(cmd5)  



# End of load
$tools_menu_loaded = true
end
file_loaded("tools_extension.rb")